
package de.ivu.elect.presentation.system.menu;

import javax.inject.Inject;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.system.boundary.SystemLogExtendedDAO;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;
import de.ivu.elect.presentation.system.MemoryMonitorView;

public class MemoryMonitorMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  SystemLogExtendedDAO systemLogExtendedDAO;

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(UseCasePermission.MEMORY_MONITOR_SEARCH);
  }

  @Override
  public String getLabelKey() {
    return "memory.monitor.menu.item.label";
  }

  @Override
  public String getTargetViewId() {
    return MemoryMonitorView.VIEW_ID;
  }

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  @Override
  public String getIcon() {
    return getIcons().getIconPrint();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

}
